Entur Developer
Entur shared mobility API

PUT
https://api.entur.io/shared-mobility/v1
/bookings/{bookingId}/retry-failed-payment/{recurringPaymentId}

Retry failed payment

path Parameters

bookingId
​string · uuid · required · style: simple
recurringPaymentId
​integer · int64 · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

Invalid request data

type
​string · required
status
​integer · int32 · required
title
​string · required
detail
​string · required
instance
​string · required
timestamp
​string · date-time · required
exception
​string · required
error
​string · required
message
​string · required
path
​string · required

POST
https://api.entur.io/shared-mobility/v1
/bookings/{transportOperatorBookingId}/notification

Send a message to the end user

path Parameters

transportOperatorBookingId
​string · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Request Body

originOperator
​string · required
message
​string | null

Responses

Invalid request data

type
​string · required
status
​integer · int32 · required
title
​string · required
detail
​string · required
instance
​string · required
timestamp
​string · date-time · required
exception
​string · required
error
​string · required
message
​string · required
path
​string · required

POST
https://api.entur.io/shared-mobility/v1
/bookings/{bookingId}/one-stop/event

Change the leg event for a one-stop booking

path Parameters

bookingId
​string · uuid · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Request Body

event
​string · enum · required
Enum values:
PREPARE
START
PAUSE
RESUME
START_FINISHING
FINISH
CANCEL
fileName
​string | null
fileType
​string | null
fileData
​string | null · byte

Responses

BookingResponse

bookingId
​string · uuid · required
transportOperatorBookingId
​string · required
transportOperatorLegId
​string · required
state
​string · enum · required
Enum values:
NOT_STARTED
IN_USE
PAUSED
FINISHING
FINISHED
CANCELLED
PREPARING
orderId
​string · required
​PricingPlanDto · required
​PricingDto · required
​Asset · required
departureTime
​string | null · date-time
arrivalTime
​string | null · date-time
distanceTravelled
​integer | null · int32
comment
​string | null

POST
https://api.entur.io/shared-mobility/v1
/bookings/one-stop

Create a one-stop booking

Headers

Entur-Distribution-Channel
​string · required · style: simple
Operator-Id
​string · required · style: simple
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Request Body

customerNumber
​integer · int64 · required
recurringPaymentId
​integer · int64 · required
​Coordinates · required
​PriceAdjustmentDto[] · required
assetId
​string | null
stationId
​string | null
vehicleTypeId
​string | null
autoStart
​boolean | null
pricingPlan
​string | null

Responses

BookingResponse

bookingId
​string · uuid · required
transportOperatorBookingId
​string · required
transportOperatorLegId
​string · required
state
​string · enum · required
Enum values:
NOT_STARTED
IN_USE
PAUSED
FINISHING
FINISHED
CANCELLED
PREPARING
orderId
​string · required
​PricingPlanDto · required
​PricingDto · required
​Asset · required
departureTime
​string | null · date-time
arrivalTime
​string | null · date-time
distanceTravelled
​integer | null · int32
comment
​string | null

POST
https://api.entur.io/shared-mobility/v1
/bookings/leg/{transportOperatorLegId}/event

Change the leg event for a one-stop booking

path Parameters

transportOperatorLegId
​string · required · style: simple

query Parameters

oneStopState
​string · enum · required · style: form · explode: true
Enum values:
PREPARE
START
PAUSE
RESUME
START_FINISHING
FINISH
CANCEL

Headers

Operator-Id
​string · required · style: simple
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

Invalid request data

type
​string · required
status
​integer · int32 · required
title
​string · required
detail
​string · required
instance
​string · required
timestamp
​string · date-time · required
exception
​string · required
error
​string · required
message
​string · required
path
​string · required

deprecated

GET
https://api.entur.io/shared-mobility/v1
/bookings

Get a list of all bookings given customer ID

query Parameters

customerId
​integer · int64 · style: form · explode: true
customerNumber
​integer · int64 · style: form · explode: true
active
​boolean · style: form · explode: true
paymentStatus
​string · enum · style: form · explode: true
Enum values:
UNPAID
PAID
PAYMENT_FAILED

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

List

bookingId
​string · uuid · required
transportOperatorBookingId
​string · required
transportOperatorLegId
​string · required
state
​string · enum · required
Enum values:
NOT_STARTED
IN_USE
PAUSED
FINISHING
FINISHED
CANCELLED
PREPARING
orderId
​string · required
​PricingPlanDto · required
​PricingDto · required
​Asset · required
departureTime
​string | null · date-time
arrivalTime
​string | null · date-time
distanceTravelled
​integer | null · int32
comment
​string | null

GET
https://api.entur.io/shared-mobility/v1
/bookings/{customerNumber}/active

Get active bookings for a given customer number

path Parameters

customerNumber
​integer · int64 · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

List

bookingId
​string · uuid · required
transportOperatorBookingId
​string · required
transportOperatorLegId
​string · required
state
​string · enum · required
Enum values:
NOT_STARTED
IN_USE
PAUSED
FINISHING
FINISHED
CANCELLED
PREPARING
orderId
​string · required
​PricingPlanDto · required
​PricingDto · required
​Asset · required
departureTime
​string | null · date-time
arrivalTime
​string | null · date-time
distanceTravelled
​integer | null · int32
comment
​string | null

GET
https://api.entur.io/shared-mobility/v1
/bookings/{bookingId}

Get a booking given booking ID

path Parameters

bookingId
​string · uuid · required · style: simple

Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

Responses

BookingResponse

bookingId
​string · uuid · required
transportOperatorBookingId
​string · required
transportOperatorLegId
​string · required
state
​string · enum · required
Enum values:
NOT_STARTED
IN_USE
PAUSED
FINISHING
FINISHED
CANCELLED
PREPARING
orderId
​string · required
​PricingPlanDto · required
​PricingDto · required
​Asset · required
departureTime
​string | null · date-time
arrivalTime
​string | null · date-time
distanceTravelled
​integer | null · int32
comment
​string | null

Did you find what you were looking for?